<%
rerun  = File.file?('rerun.txt') ? IO.read('rerun.txt') : ""
format = ENV['CUCUMBER_FORMAT'] || 'pretty'

# option lists for the `cucumber` command
rerun_opts = rerun.to_s.strip.empty? ? "--format #{format} features" : "--format #{format} #{rerun}"
std_opts   = "--format #{format} --strict --tags 'not @wip and not @screenshots'"
screenshot_opts  = "--require features --format pretty"
%>

# 'normal' test runs
default: <%= std_opts %> -r features --tags 'not @nophantomjs'
wip: -r features --tags @wip:3 --wip features
rerun: <%= rerun_opts %> --format rerun --out rerun.txt --strict --tags 'not @wip and not @screenshots'

# screenshot feature
ref_screens: "<%= screenshot_opts %> --tags @reference-screenshots"
cmp_screens: "<%= screenshot_opts %> --tags @comparison-screenshots"
all_screens: "<%= screenshot_opts %> --tags @screenshots"
